## kdelibs-2.0.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdelibs
# Version required:    1.0
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.6 1998/10/20 06:51:51 garbanzo Exp $
#
PKGNAME=	kdelibs-`date "+%y%m%d"`
CATEGORIES=	x11 kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT=	${.CURDIR}/${PKGNAME}
USE_QT=		yes
LIB_DEPENDS=	gif.3:${PORTSDIR}/graphics/giflib \
		jpeg.9:${PORTSDIR}/graphics/jpeg
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
NO_EXTRACT=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-extra-includes=$(PREFIX)/include/giflib"
INSTALL_TARGET=	prefix=$(INSTALL_ROOT)$(PREFIX) install

post-install-pre-lib:
	${SETENV} OBJFORMAT=${PORTOBJFORMAT}
	if [ "${PORTOBJFORMAT}" = "aout" ]; then \
		${LN} -sf libjscript.so.0.90  ${PREFIX}/lib/libjscript.so; \
		${LN} -sf libkdecore.so.1.0   ${PREFIX}/lib/libkdecore.so; \
		${LN} -sf libkdeui.so.1.0     ${PREFIX}/lib/libkdeui.so; \
		${LN} -sf libkfile.so.1.0     ${PREFIX}/lib/libkfile.so; \
		${LN} -sf libkfm.so.1.0       ${PREFIX}/lib/libkfm.so; \
		${LN} -sf libkhtmlw.so.1.0    ${PREFIX}/lib/libkhtmlw.so; \
		${LN} -sf libmediatool.so.1.0 ${PREFIX}/lib/libmediatool.so; \
	else
		${LN} -sf libjscript.so.0     ${PREFIX}/lib/libjscript.so; \
		${LN} -sf libkdecore.so.1     ${PREFIX}/lib/libkdecore.so; \
		${LN} -sf libkdeui.so.1       ${PREFIX}/lib/libkdeui.so; \
		${LN} -sf libkfile.so.1       ${PREFIX}/lib/libkfile.so; \
		${LN} -sf libkfm.so.1         ${PREFIX}/lib/libkfm.so; \
		${LN} -sf libkhtmlw.so.1      ${PREFIX}/lib/libkhtmlw.so; \
		${LN} -sf libmediatool.so.1   ${PREFIX}/lib/libmediatool.so; \
	fi
	${LDCONFIG} -m ${PREFIX}/lib

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdelibs (4:2.0-20001016-0) unstable; urgency=low

  * KDE 2.0

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 15:00:00 -0700

kdelibs (4:2.0-20001015-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 15 Oct 2000 20:05:00 -0700
                                                                                

kdelibs (4:2.0-20001013-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 13 Oct 2000 23:45:00 -0700
                                                                                

kdelibs (4:2.0-20001011-0) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 11 Oct 2000 03:45:00 -0700
                                                                                

kdelibs (4:2.0-20001009-3) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 10 Oct 2000 17:00:00 -0700
                                                                                

kdelibs (4:2.0-20001009-2) unstable; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 10 Oct 2000 00:00:00 -0700
                                                                                

kdelibs (4:2.0-20001009-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 09 Oct 2000 08:00:00 -0700
                                                                                

kdelibs (4:2.0-20001006-4) unstable; urgency=low
 
  * Fixing startup crashes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 09:00:00 -0700
                                                                                

kdelibs (4:2.0-20001006-3) unstable; urgency=low
 
  * More upstream fixes
  * Fixing preinst applnk problem (Closes: #74195, #74218)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 03:00:00 -0700
                                                                                

kdelibs (4:2.0-20001006-2) unstable; urgency=low
 
  * More crypto fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 15:30:00 -0700
                                                                                

kdelibs (4:2.0-20001006-0) unstable; urgency=low
   
  * More upstream fixes
  * Getting rid of kdelibs-nossl and now providing a kdelibs-crypto package

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 01:30:00 -0700
                                                                                

kdelibs-nossl (4:2.0-20001004-2) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

kdelibs-nossl (4:2.0-20001004-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 04 Oct 2000 23:30:00 -0700
                                                                                

kdelibs (4:2.0-20001002-0) unstable; urgency=low
 
  * KDE 2.0 RC1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Oct 2000 01:30:00 -0700
                                                                                

kdelibs (4:2.0-20000927-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 27 Sep 2000 23:30:00 -0700

kdelibs (4:2.0-20000925-0) unstable; urgency=low

  * More upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 15:30:00 -0700

kdelibs (4:2.0-20000923-0) unstable; urgency=low
 
  * More upstream fixes
  * Fixing build issues
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000920-0) unstable; urgency=low
 
  * More upstream fixes 
  * Fixing build issues 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000918-0) unstable; urgency=low
 
  * More upstream fixes (-beta5)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 17:00:00 -0700
                                                                                

kdelibs (4:2.0-20000910-0) unstable; urgency=low

  * More upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 23:00:00 -0700

kdelibs (4:2.0-20000909-0) unstable; urgency=low
  
  * More package cleanup
  * More upstream fixes
  * All lintian errors are bogus currently.  k*.so files are modules and
    I can only assume that lintian just doesn't know how to handle them.
    the extra license's are needed for KDE and specially setup for KDE

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 02:00:00 -0700

kdelibs (4:2.0-20000907-0.1) unstable; urgency=low
 
  * Fixing issue with requiring -dev package
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 21:00:00 -0700

kdelibs-nossl (4:2.0-20000907-0) unstable; urgency=low

  * More Upstream fixes
  * Initial Debian upload

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 01:00:00 -0700

kdelibs (4:2.0-20000905-0.1) unstable; urgency=low

  * More Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 18:30:00 -0700

kdelibs (4:2.0-20000905-0) unstable; urgency=low

  * More Upstream fixes
  * Adding in a version number for libqt2.2 dependency

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 00:30:00 -0700

kdelibs (4:2.0-20000901-0) unstable; urgency=low

  * More Upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Sep 2000 00:02:00 -0700

kdelibs (4:2.0-20000829-0) unstable; urgency=low
 
  * More Upstream fixes
  * Committing most package updates to CVS tree
  * No GPL/QT conflictions

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Aug 2000 21:15:00 -0700

kdelibs (4:2.0-20000825-0) experimental; urgency=low
 
  * Upstream fixes
 


=== debian/control ===
Source: kdelibs
Build-Depends: automake, libtool, debhelper, libjpeg62-dev, libqt2.2-dev (>= 2:2.2.0-20000906-0), libpng2-dev, libtiff3g-dev, zlib1g-dev, xlib6g-dev | xlibs, libaudiofile-dev, qt2.2-doc, jade, sgml-base, kdoc, docbook, libgl-dev, libmng-dev, docbook-stylesheets
Build-Conflicts: kdelibs3, kdelibs3-nossl, libssl095a-dev, libssl09-dev
Section: libs
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.1.1

Package: kdelibs3
Architecture: any
Section: libs
Replaces: kdelibs3-cvs, kdelibs3-nossl
Depends: ${shlibs:Depends}
Suggests: kdelibs3-crypto
Conflicts: kdelibs3-nossl, kdebase (<= 4:2.0-20001015-0)
Description: KDE core libraries (runtime files)
 KDE core libraries.
 You need these files to run kde applications.

Package: kdelibs3-doc
Architecture: all
Section: doc
Replaces: kdelibs3-doc-cvs, kdelibs-doc
Suggests: kdelibs3, kdelibs3-dev, libqt2.2-dev
Provides: kdelibs-doc
Description: KDE core library documentation
 These are the core documentation created by the kdoc package.  This package
 is needed for developing KDE related packages.

Package: kdelibs3-dev
Architecture: any
Section: devel
Replaces: kdelibs-dev, kdelibs2g-dev, kdelibs3-nossl-dev
Depends: kdelibs3 (= ${Source-Version}), libmng-dev, libqt2.2-dev, libjpeg62-dev, xlib6g-dev | xlibs, libgl-dev
Conflicts: kdelibs0-dev, kdelibs2g-dev, kdelibs3-nossl-dev
Suggests: kdelibs3-doc
Provides: kdelibs-dev
Description: KDE core libraries (development files)
 KDE core libraries.
 You need these files to compile kde applications.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

SHELL=/bin/sh

BUILDDIR = ./build

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi
	version=`head -1 debian/changelog | sed -e "s#.*(\([^)]*\)).*#Debian Package \1#"` ;\
	./configure $(configkde) --with-distribution="$$version" \
	--libdir=$(kde_libdir) --includedir=$(kde_includedir) --without-ssl

	make

	touch build-stamp

debian-clean:
	dh_testdir
	-rm -f build-stamp
	dh_clean

clean: debian-clean
	-rm -f debian/debiandirs debian/undocumented 
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi
	-make distclean

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean
	if test -f /usr/bin/qt2kdoc; then \
		(mkdir -p debian/kdelibs3-doc/usr/share/kdoc/index) ; \
		(mkdir -p debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference) ; \
		qt2kdoc --url=/usr/share/doc/qt2.2-doc/doc/html \
		--outdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference \
		--compress \
		/usr/share/doc/qt2.2-doc/doc/html ; \
		makekdedoc --libdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html/kdoc-reference \
		--kdocopt='--skip-internal --compress' \
		--outputdir=`pwd`/debian/kdelibs3-doc/usr/share/doc/kdelibs3-doc/html ; \
	fi
	dh_installdocs -pkdelibs3-doc
	dh_installchangelogs -pkdelibs3-doc
	dh_compress -pkdelibs3-doc
	dh_fixperms -pkdelibs3-doc
	dh_installdeb -pkdelibs3-doc
	dh_gencontrol -pkdelibs3-doc
	dh_md5sums -pkdelibs3-doc
	dh_builddeb -pkdelibs3-doc


binary-arch:  build
	dh_testdir
	dh_testroot
	dh_clean 
	-rm -f debian/undocumented
	dh_installdirs
	install -d debian/tmp/usr/share/applnk
	install -d debian/tmp/etc/pam.d
	install -d debian/tmp/etc/kde2
	make DESTDIR=`pwd`/debian/tmp/ install
	debianrc=debian/tmp/etc/kde2/system.kdeglobals ;\
	install -d `dirname $$debianrc` ;\
	echo "[Directories]" > $$debianrc ;\
	echo "dir_config=/etc/kde2" >> $$debianrc ;\
	echo "dir_html=/usr/share/doc/kde/HTML" >> $$debianrc ;\
	echo "dir_apps=/usr/share/applnk" >> $$debianrc 
	cp debian/tmp/etc/kde2/system.kdeglobals debian/tmp/etc/kderc
	perl -w admin/debianrules cleanup
	cp debian/kde.pamd debian/tmp/etc/pam.d/kde
	for i in `find debian/tmp/usr/bin | sed -e 's#^debian/tmp/usr/bin/##'  | grep -v "debian/tmp"`; do \
	  echo "$$i.1" >> debian/undocumented ; \
	done
	for i in `cat debian/undocumented.in | grep -v "#"`; do \
	  echo "$$i.1" >> debian/undocumented ; \
	done
	sed -e "s#kde_confdir='etc/kde2'#kde_confdir='/etc/kde2'#" debian/tmp/etc/kde2/kde-config > debian/tmp/etc/kde2/kde-config.tmp
	mv debian/tmp/etc/kde2/kde-config.tmp debian/tmp/etc/kde2/kde-config
	dh_installdocs
# libraries not starting with lib are modules
	list=`cd debian/tmp && find ./ -type l -name "lib*.so" | sed -e 's#^./##'` ;\
	dh_movefiles -pkdelibs3-dev $$list usr/include/kde usr/lib/lib*.a
	install -d debian/tmp/usr/share/icons/locolor/16x16/apps/
	cp debian/package.png debian/tmp/usr/share/icons/locolor/16x16/apps/
	-rm -rf debian/tmp/usr/share/apps/kssl
	mv debian/tmp/usr/lib/kio_https.so debian/tmp/usr/lib/kio_https-nossl.so
	mv debian/tmp/usr/lib/kio_https.la debian/tmp/usr/lib/kio_https-nossl.la
	mv debian/tmp/usr/lib/libkssl.so.2.0.0 debian/tmp/usr/lib/libkssl-nossl.so.2.0.0
	mv debian/tmp/usr/lib/libkssl.la debian/tmp/usr/lib/libkssl-nossl.la

	dh_installchangelogs
	dh_undocumented
	dh_strip
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i; \
		ln -s ../common $$i ;\
	done
	dh_perl
	dh_link
	dh_compress 
	dh_fixperms 
	dh_suidregister 
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps 
	dh_gencontrol
	cd debian/tmp && find ./etc -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles
	chmod 644 debian/tmp/DEBIAN/conffiles
	dh_md5sums
	dh_builddeb -pkdelibs3-dev
	dh_builddeb -pkdelibs3

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch clean
